<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsInstruments>

sr = 96000
ksmps = 64
nchnls = 2
;0dbfs = 1


giftable1 	ftgen 100, 0, 8192, 2, 0
giftable2 	ftgen 101, 0, 8192, 2, 0

instr 1
ksig  chnget	"sig"
ksig	port ksig, 0.01
knois chnget	"nois"
knois	port knois, 0.01
kaver  chnget	"aver"
klevel chnget	"level"
kgain  chnget	"gain"
kfreez  chnget	"freez"
kthresh chnget	"thresh"
kpass	  chnget	"pass"

kfreez init 0

kreset chnget "reset"

ain1, ain2	ins
			denorm	ain1, ain2 
ifftsize = p4
iol = p5
iNumBins = (ifftsize/2) + 1
ihop = ifftsize/iol
iwindow = ifftsize*p6
;chnset iNumBins, "NumBins" 

iftable3 	ftgen 0, 0, iNumBins, 2, 0
iftable4 	ftgen 0, 0, iNumBins, 2, 0

iclean ftgen 0, 0, iNumBins, 2, 0

if (kreset>0) then 
	tablecopy	giftable1, iclean
	tablecopy	giftable2, iclean
endif

fsig1 pvsanal ain1, ifftsize, ihop, iwindow, p7
fsig2 pvsanal ain2, ifftsize, ihop, iwindow, p7

kr1 tab 1, giftable1
kr2 tab 2, giftable1
kr3 tab 3, giftable1
kr4 tab 8, giftable1

kr5 = kr1+ kr2 + kr3 +kr4

if (kr5>0) then
kaver2 = 0
else
kaver2 = kaver

endif 

fsrc1	pvsblur fsig1, kaver2, 0.5
fsrc2	pvsblur fsig2, kaver2, 0.5

fsigfr1 pvsfreeze fsrc1, kfreez, kfreez
fsigfr2 pvsfreeze fsrc2, kfreez, kfreez

if (kfreez==1) then
kflag1 pvsftw fsigfr1, giftable1
kflag2 pvsftw fsigfr2, giftable2
endif


fout1 pvstencil fsig1, kgain, klevel, giftable1 
fout2 pvstencil fsig2, kgain, klevel, giftable2

kflag3 pvsftw fout1, iftable3
kflag4 pvsftw fout2, iftable4

if (kflag3>0) then
fout3 pvstencil fsig1, 0, 1, iftable3 
endif

if (kflag4>0) then
fout4 pvstencil fsig2, 0, 1, iftable4
endif

asynth3 pvsynth	fout3
asynth4 pvsynth	fout4

asynth1 pvsynth	fout1
asynth2 pvsynth	fout2

			denorm	asynth3, asynth4 
			denorm	asynth1, asynth2 

outs (asynth1*ksig)+(asynth3*knois), (asynth2*ksig)+(asynth4*knois)

endin


instr 2
	ftsave "./NoiseReduct/noise1.ftsave", 1, 100
	ftsave "./NoiseReduct/noise2.ftsave", 1, 101

endin

instr 3
	ftload "./NoiseReduct/noise1.ftsave", 1, 100
	ftload "./NoiseReduct/noise2.ftsave", 1, 101
endin
</CsInstruments>
<CsScore>

f0 86400

e
</CsScore>
</CsoundSynthesizer>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: ioObject
Listing: Window
WindowBounds: 787 127 572 424
CurrentView: io
IOViewEdit: On
Options: -b128 -A -s -m167 -R
</MacOptions>
<MacGUI>
ioView background {32125, 41634, 41120}
</MacGUI>

