<CsoundSynthesizer>
<CsInstruments>
sr = 44100
kr = 4410
ksmps = 10
nchnls = 1
0dbfs = 1.0

opcode GEN_Bias, 0, ii
    ifn, ibias xin
    
    isize = ftlen(ifn)    
    i_index = 0
    
    loop_start:
        iread_value tab_i i_index, ifn
        iwrite_value = iread_value + ibias
        tabw_i iwrite_value, i_index, ifn

    loop_lt i_index, 1, isize, loop_start
endop

opcode GEN_Scale, 0, ii
    ifn, iscale xin
    
    isize = ftlen(ifn)    
    i_index = 0
    
    loop_start:
        iread_value tab_i i_index, ifn
        iwrite_value = iread_value * iscale
        tabw_i iwrite_value, i_index, ifn

    loop_lt i_index, 1, isize, loop_start
endop

instr 1
    ifn = p4
    iscale = p5
    ibias = p6
    
    GEN_Scale ifn, iscale
    GEN_Bias ifn, ibias
    
    turnoff
endin

instr 2
    ifn = p4
    isize = ftlen(ifn)    
    prints "Index\tValue\n"
    
    i_index = 0
    loop_start:
        ivalue tab_i i_index, ifn
        prints "%d:\t%f\n", i_index, ivalue

    loop_lt i_index, 1, isize, loop_start    
    
    turnoff
endin

</CsInstruments>
<CsScore>
f 1 0 16 10 1

i 1 0 1 1 0.5 0.5
i 2 0 1 1
</CsScore>
</CsoundSynthesizer>

