<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsInstruments>


sr=96000
ksmps=1
nchnls=2
0dbfs = 1

cpuprc 1, 60
; ---- Parameters ----

; Filename           # ??? #  ; Name of file to process.  Required parameter,

# ifndef Fftsize                    
# define Fftsize          # 2048 #  
# end

# ifndef Ol
# define Ol               # 4 #  
# end

# ifndef Win
# define Win  		      # 2 #  
# end

# ifndef Wt
# define Wt	              # 0 #
# end

# ifndef Band
# define Band	          # 1 #
# end

# ifndef Aver
# define Aver             #.1 #
# end

# ifndef Smooth
# define Smooth           #.9 #
# end

# ifndef ThreshHigh
# define ThreshHigh       # .000003 #
# end

# ifndef ThreshLow
# define ThreshLow        # .000001 #
# end

# ifndef HighGain
# define HighGain         # 1 #
# end

# ifndef MidGain
# define MidGain          # 1 #
# end

# ifndef LowGain
# define LowGain          # 1 #
# end

# ifndef Depth
# define Depth	          # 1 #
# end



	opcode thresh, 0, kkkkkkiii

		 
klowgain,kmidgain,khighgain,kthreshlow, kthreshhigh, kband, inumbins, iampout, iampinsmooth xin


iclear 	ftgen 0, 0, inumbins, 2, 0
	tablecopy iampout, iclear

kcount = 0
kvol = 0
kbandfixed = kband
	
loop:
kamp 	table kcount, iampinsmooth

kvol = kvol + kamp
kcount = kcount + 1

if (kcount == kband) kgoto thresh
		kgoto contin

thresh:
	kband2 = kband
	kband = kband + kbandfixed

	if (kvol < kthreshlow) kgoto low
		kgoto high
		
	low:	 
		kband3 = kband2-kbandfixed
		vadd  iampout, klowgain, kbandfixed, kband3
		kgoto contin

	high:
	kband3 = kband2-kbandfixed			
	if (kvol < kthreshhigh) then
		vadd  iampout, kmidgain, kbandfixed, kband3

	else
		vadd  iampout, khighgain, kbandfixed, kband3

	endif

contin:	
kvol = 0
	
	if (kcount < inumbins) kgoto loop

endop




instr Setup
	ilength   filelen "$Filename"            ; Length of file in seconds

	; Process audio file

	event_i "i", 1, 0, ilength+.3

	turnoff
endin





	
instr 1

ifilesr filesr "$Filename"                ; Get samplerate of file

ain1, ain2     diskin2 "$Filename", 1  ; Read file from disk
			denorm	ain1, ain2 
	
idepth	=$Depth
iaver = $Aver
ismooth = $Smooth
ithreshHigh = $ThreshHigh
ithreshLow = $ThreshLow
ihighGain = $HighGain+-1.0e-20
imidGain = $MidGain+-1.0e-20
ilowGain = $LowGain+-1.0e-20
kBand	=	$Band

ifftsize = $Fftsize
iol = $Ol
iNumBins = (ifftsize/2) + 1
ihop = ifftsize/iol
iwindow = ifftsize * $Win


iampout ftgen 0,0,ifftsize,2,0

iampinsmooth1 ftgen 0,0,ifftsize,2,0
iampinsmooth2 ftgen 0,0,ifftsize,2,0

iampout2 ftgen 0,0,ifftsize,2,0

	
fsig1 pvsanal ain1, ifftsize, ihop, iwindow, $Wt
fsig2 pvsanal ain2, ifftsize, ihop, iwindow, $Wt

fsig3 pvsblur fsig1, iaver, 1
fsig4 pvsblur fsig2, iaver, 1
kflag  pvsftw fsig3, iampinsmooth1

if (kflag > 0) then ; only proc when frame is ready

	thresh  ilowGain,imidGain,ihighGain,ithreshLow, ithreshHigh, kBand, iNumBins, iampout, iampinsmooth1

	pvsftr fsig3, iampout;, ifreqout

endif


; export fsig to tables
kflag2  pvsftw fsig4, iampinsmooth2
if (kflag2 > 0) then ; only proc when frame is ready

	thresh  ilowGain,imidGain,ihighGain,ithreshLow, ithreshHigh,kBand, iNumBins, iampout2, iampinsmooth2

; read modified data back to fsrc
	pvsftr fsig4, iampout2;, ifreqout2

endif

;
fsig11 pvsmooth fsig3, ismooth, 2
fsig22 pvsmooth fsig4, ismooth, 2

fsig5 pvsfilter fsig1, fsig11, idepth
fsig6 pvsfilter fsig2, fsig22, idepth

aout1 pvsynth fsig5
aout2 pvsynth fsig6

outs aout1, aout2

endin	


	
	
</CsInstruments>
<CsScore>

i "Setup" 0 0.0001  ; Start processor

</CsScore>
</CsoundSynthesizer>




<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: ioObject
Listing: Window
WindowBounds: 72 179 400 200
CurrentView: io
IOViewEdit: On
Options:
</MacOptions>
<MacGUI>
ioView nobackground {59624, 59624, 59624}
ioSlider {5, 5} {20, 100} 0.000000 1.000000 0.000000 slider1
ioSlider {45, 5} {20, 100} 0.000000 1.000000 0.000000 slider2
ioSlider {85, 5} {20, 100} 0.000000 1.000000 0.000000 slider3
ioSlider {125, 5} {20, 100} 0.000000 1.000000 0.000000 slider4
ioSlider {165, 5} {20, 100} 0.000000 1.000000 0.000000 slider5
</MacGUI>

