<CsoundSynthesizer>

<CsOptions>
  -d -o dac
</CsOptions>

<CsInstruments>
sr     = 192000
ksmps  = 100
nchnls = 2
0dbfs  = 1

          instr 2
idur      =         p3
iamp      =         p4
ifq1a     =         p5
ifq1b     =         p6
ifq2a     =         p7
ifq2b     =         p8
inx1a     =         p9
inx1b     =         p10
inx2a     =         p11
inx2b     =         p12
icpsa     =         p13
icpsb     =         p14
ifn1      =         p15
ifn2      =         p16
iphs1     =         p17
iphs2     =         p18
kfrq1     line      ifq1a, idur, ifq1b
kfrq2     line      ifq2a, idur, ifq2b
kndx1     line      inx1a, idur, inx1b
kndx2     line      inx2a, idur, inx2b
kcps      line      icpsa, idur, icpsb
kenv      linen     iamp, 5, idur, 15
a1, a2    crosspm   kfrq1, kfrq2, kndx1, kndx2, kcps, ifn1, ifn2, iphs1, iphs2
          outs      a1*kenv, a2*kenv
          endin

</CsInstruments>

<CsScore>
;sine wave
f 1 0 16384 10 1
;pseudo square wave
f 2 0 16384 10 1000 0 333.333 0 200 0 142.857 0 111.111 0 90.909 \
               0 76.923 0 66.667 0 58.824 0 52.632 0
;pseudo triangle wave
f 3 0 16384 10 1000 0 111.111 0 40 0 20.408 0 12.346 0 8.264 0 \
               5.917 0 4.444 0 3.46 0 2.77 0
;pseudo sawtooth wave
f 4 0 16384 10 1000 500 333.333 250 200 166.667 142.857 125 111.111 \
               100 90.909 83.333 76.923 71.429 66.667 62.5 58.824 \
               55.556 52.632 50

i 2 0 80 0.4 55 109 109.927 55.927 0.576 1.576 0.759 1.759 1 1 4 4 0 0
i 2 0.05 80 0.4 55 109 109.927 55.927 0.576 1.576 0.759 1.759 1 1 4 4 0 0
e
</CsScore>
</CsoundSynthesizer>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: ioObject
Listing: Window
WindowBounds: 890 82 733 743
CurrentView: io
IOViewEdit: On
Options:
</MacOptions>
<MacGUI>
ioView nobackground {61423, 60395, 59367}
ioGraph {18, 14} {641, 661} scope 8.000000 -1.000000 
</MacGUI>

